#
# spec file for package qpdfview
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qpdfview
Version:        0.4.16
Release:        bp153.1.18
Summary:        Tabbed document viewer in Qt
License:        GPL-2.0+
Group:          Productivity/Office/Other
Url:            https://launchpad.net/qpdfview
Source:         https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Source1:        https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  cups-devel
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(libspectre)
BuildRequires:  pkgconfig(zlib)
Recommends:     %{name}-lang
%if 0%{?suse_version} > 1320
BuildRequires:  libqt5-linguist
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(poppler-qt5)
Requires:       libqt5_sql_backend
%else
BuildRequires:  file-devel
BuildRequires:  libqt4-linguist
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtDBus)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtSql)
BuildRequires:  pkgconfig(QtSvg)
BuildRequires:  pkgconfig(QtXml)
BuildRequires:  pkgconfig(poppler-qt4)
Requires:       libqt4_sql_backend
%endif

%description
qpdfview uses Poppler for PDF support, libspectre for PS support,
DjVuLibre for DjVu support, CUPS for printing support and the Qt
toolkit for its interface.

Current features include:
 * Outline, properties and thumbnail panes.
 * Scale, rotate and fit.
 * Fullscreen and presentation views.
 * Continuous and multiple-page layouts.
 * Search for text.
 * Configurable tool bars.
 * Configurable keyboard shortcuts.
 * Persistent per-file settings.
 * SyncTeX support.
 * Rudimentary annotation support.
 * Rudimentary form support.
 * Support for PostScript and DjVu documents.

%lang_package

%prep
%setup -q

%build
%if 0%{?suse_version} > 1320
%global _libqt5_qmake %{_libqt5_qmake} -makefile %{name}.pro
%{_libqt5_bindir}/lrelease translations/*.ts
%qmake5 PLUGIN_INSTALL_PATH=%{_libdir}/%{name}
%else
%{_libdir}/qt4/bin/lrelease translations/*.ts
%{_libdir}/qt4/bin/qmake -makefile %{name}.pro \
  QMAKE_CFLAGS='%{optflags}'             \
  QMAKE_CXXFLAGS='%{optflags}'           \
  PLUGIN_INSTALL_PATH=%{_libdir}/%{name}
%endif
make %{?_smp_mflags}

%install
%if 0%{?suse_version} > 1320
%qmake5_install
%else
make INSTALL_ROOT=%{buildroot} install
%endif
%fdupes %{buildroot}
%find_lang %{name} --with-qt

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc CHANGES CONTRIBUTORS COPYING README TODO
%{_bindir}/%{name}
%{_libdir}/%{name}/
%dir %{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man?/%{name}.?%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)
%lang(ast) %{_datadir}/%{name}/%{name}_ast.qm
%doc %{_datadir}/%{name}/help*.html

%changelog
* Fri Nov 20 2015 sor.alexei@meowr.ru
- Update to 0.4.16:
  * Fix an incompatibility with FDo's shared MIME type database
    that broke opening DjVu documents.
  * Add function to dynamically fit thumbnails into the viewport.
  * Add support to use system SyncTeX parser library.
  * Add support to open image formats supported by Qt.
  * SyncTeX is now available and discoverable with the main view's
    context menu.
  * Update Czech, Malay, Brazilian, Russian, Ukrainian, Portuguese,
    Lithunian, Spanish, and French translations.
* Sun Jun  7 2015 sor.alexei@meowr.ru
- Update to 0.4.15:
  * Fix compatibility with MuPDF version 1.7.
  * Add keeping the page-relative position upon page change.
  * Add document properties on PDF version, encryption and
    linearization.
  * Add keyboard navigation to the outline view.
  * Add configurable document and tab context menus.
  * Add composition modes to adjust the background of scanned
    documents.
  * Extend the default movement keyboard shortcuts to include the
    numpad keys.
  * Made the trim-margins setting a per-tab property.
  * Add Hungarian translation.
  * Update Polish, Italian, Czech, British English, Malay,
    Ukrainian, French translations.
* Sat May 23 2015 sor.alexei@meowr.ru
- Fix build with latest Qt5-related RPM macros.
- Add GPG signature.
- Add SQL backend requiring.
- Build with Qt4 for openSUSE 13.2 and older.
* Sun Feb 22 2015 sor.alexei@meowr.ru
- Update to 0.4.14:
  * Fix keyboard movement not working in annotations and form
    fields.
  * Fix display of warning dialog upon restoring tabs.
  * Fixed compilation using LLVM Clang.
  * Fixed crash upon middle-clicking into empty part of tab bar.
  * Fixed a race condition in text extraction within the extended search dock.
  * Fixed losing rendering hints after unlocking encrypted PDF documents.
  * Improve user interaction of the extended search dock.
  * Improve the speed of text extraction within the extended search
    dock.
  * Improve performance at very large scale factors by dynamically
    adjusting tile size.
  * Add restoring of expanded outline items after refresh.
  * Add various smaller user interface enhancements.
  * Add whole-words-only search option (depends on Poppler
    version 0.31 or higher).
  * Add optionally searchable tabs and bookmarks menus.
  * Improve flexibility of searching DjVu documents.
  * Add Finnish translation of online help.
  * Update settings section of the online help.
  * Update Czech, Ukrainian, Polish, British Englis, Slovak,
    Spanish, Simplified Chinese, Catalan, Russian, Galician,
    Malay, French translations.
* Tue Oct 21 2014 sor.alexei@meowr.ru
- Update to 0.4.13:
  * Fix a memory leak when processing meta-data in the DjVu
    plug-in.
  * Fix a crash when loading corrupted DjVu documents
  * Remove the dialog warning about unknown file type to fix the
    '--quiet' option.
  * Add optional extended search dock displaying results from all
    open tabs.
  * Add per-tab setting to convert pages to grayscale after
    rendering.
  * Update British English, Czech, Malay, Galician, Kazakh,
    Ukrainian, Portuguese, and Polish translations.
* Fri Oct 10 2014 sor.alexei@meowr.ru
- Initial build.
